summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-system/LinHES.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-10 03:28:50 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-10 03:28:50 (GMT)
commit3981e3bd46861efbe9cebe4a0cb106faa9033daa (patch)
treeef6d32ca5a3e99cb88f8c54720b9b6528904b006 /abs/core-testing/LinHES-system/LinHES.install
parentbd5bf3ecdb7757918a4d12add60ae295c837a2b7 (diff)
downloadlinhes_pkgbuild-3981e3bd46861efbe9cebe4a0cb106faa9033daa.zip
linhes_pkgbuild-3981e3bd46861efbe9cebe4a0cb106faa9033daa.tar.gz
linhes_pkgbuild-3981e3bd46861efbe9cebe4a0cb106faa9033daa.tar.bz2
Scripts to make LinHES all that it will be.
sudo rules are installed via LinHES.install. Currently this allows mythtv to do anything. This will need to change in the future, but for now its ok. -myth_mtc.py is a script that will check to make sure myth is idle before running optimize_mythdb.py along with performing a nightly backup. Currently the backup is not functional, as it's waiting on the knoppmyth scripts. LinHES-start and LinHES-session start X and control whats run. Instead of using a .xinitrc for mythtv LinHES-start is systemwide. LinHES-profile.sh set's up the PATH for LinHES tools & scripts.
Diffstat (limited to 'abs/core-testing/LinHES-system/LinHES.install')
-rw-r--r--abs/core-testing/LinHES-system/LinHES.install90
1 files changed, 90 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-system/LinHES.install b/abs/core-testing/LinHES-system/LinHES.install
new file mode 100644
index 0000000..e327edc
--- /dev/null
+++ b/abs/core-testing/LinHES-system/LinHES.install
@@ -0,0 +1,90 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+/bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+MVDIR=/usr/LinHES/bin
+# ln -s $MVDIR/backup_job /etc/cron.daily/backup_cron
+# ln -s $MVDIR/update_system /etc/cron.daily/xupdate_system_cron
+# ln -s $MVDIR/repo_sync.sh /etc/cron.daily/zrepo_sync.sh
+ ln -s $MVDIR/myth_mtc.sh /etc/cron.daily/myth_mtc.sh
+
+#LINE="mythtv ALL = NOPASSWD: /sbin/sv stop mythbackend"
+LINE="mythtv ALL=(ALL) NOPASSWD: ALL"
+LINE1="%wheel ALL=(ALL) NOPASSWD: ALL"
+
+
+for i in "$LINE" "$LINE1" "$LINE2" "$LINE3" "$LINE4" "$LINE5" "$LINE7" "$LINE8" "$LINE9" "$LINE10" "$LINE11" "$LINE12" "$LINE13" "$LINE14" "$LINE15" "$LINE16"
+do
+ cp /etc/sudoers /etc/sudoers.bak
+ grep -q "$i" /etc/sudoers
+ if [ $? != 0 ]
+ then
+ echo "$i" >> /etc/sudoers
+ visudo -cf /etc/sudoers
+ if [ ! $? = 0 ]
+ then
+ cp /etc/sudoers.bak /etc/sudoers
+ echo $i
+ echo "Error adding files"
+ exit 1
+ fi
+ fi
+done
+
+REALTIME="session required pam_limits.so"
+grep -q "pam_limits.so" /etc/pam.d/su
+ if [ $? != 0 ]
+ then
+ echo "$REALTIME" >> /etc/pam.d/su
+
+ fi
+
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ if [ -e /etc/cron.daily/backup_cron ]
+ then
+ rm -f /etc/cron.daily/backup_cron
+ fi
+ if [ -e /etc/cron.daily/xupdate_system_cron ]
+ then
+ rm -f /etc/cron.daily/xupdate_system_cron
+ fi
+
+ if [ -e /etc/cron.daily/myth_mtc.py ]
+ then
+ rm -f /etc/cron.daily/myth_mtc.py
+ fi
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*